
Redmine - Feature #16094

Role permissions to disable start date, due date, time and % done

2014-02-14 02:41 - Richard Gunn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I created a customer role without time tracking permissions. I was hoping this would also disable viewing of start date, due date,

estimated time and % done fields when creating or viewing issues under that role.

Is it possible to achieve this ?

If my customers are creating , editing and viewing issues they have created these fields should be dictated by the role permissions.

Environment:

Redmine version                2.4.2.stable

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.4

Git                            1.8.3

Filesystem

Redmine plugins:

redmine_mylyn_connector        2.8.2.stable

History

#1 - 2014-02-14 02:46 - Richard Gunn

- Status changed from New to Resolved

My apologies, found the solution under workflow.

#2 - 2014-02-15 22:00 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed
